Bug 480584 - hts can't view the server status on both i386 and x86_64 el4 plat
hts can't view the server status on both i386 and x86_64 el4 plat
Status: CLOSED WORKSFORME
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: YangKun
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 05:17 EST by Vivian Bian
Modified: 2014-03-25 20:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-13 03:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vivian Bian 2009-01-19 05:17:13 EST
Description of problem:
the view server status process will hang

Version-Release number of selected component (if applicable):
hts-5.3-12 on i386 plat

How reproducible:
Always

Steps to Reproduce:
1.install the hts-5.3-12,and start the hts server daemon #hts server start
2.check the server status #hts server status
3.wait the checking process
  
Actual results: the process will hang here:
[root@dhcp-66-70-28 11]# hts server status
/var/hts
Note: decimal module from python 2.5 copied by HTS
OS Version: Red Hat Enterprise Linux AS release 4 (Nahant Update 7)
Kernel RPM: kernel-smp-2.6.9-78.12.EL
HTS version 5.3, release 12
make server RUNMODE=status
python network.py server status


Expected results:
we can check the status of the hts server

Additional info:
Comment 1 Greg Nichols 2009-01-19 10:02:23 EST
please attach the results of the following commands:

ps -e
exportfs
service nfs status
service httpd status

thanks.
Comment 2 Vivian Bian 2009-01-19 21:58:20 EST
# hts server status
/var/hts
Note: decimal module from python 2.5 copied by HTS
OS Version: Red Hat Enterprise Linux AS release 4 (Nahant Update 7)
Kernel RPM: kernel-smp-2.6.9-78.12.EL
HTS version 5.3, release 12
make server RUNMODE=status
python network.py server status

# ps -e
  PID TTY          TIME CMD
    1 ?        00:00:00 init
    2 ?        00:00:00 migration/0
    3 ?        00:00:00 ksoftirqd/0
    4 ?        00:00:00 migration/1
    5 ?        00:00:00 ksoftirqd/1
    6 ?        00:00:00 migration/2
    7 ?        00:00:00 ksoftirqd/2
    8 ?        00:00:00 migration/3
    9 ?        00:00:00 ksoftirqd/3
   10 ?        00:00:00 events/0
   11 ?        00:00:00 events/1
   12 ?        00:00:00 events/2
   13 ?        00:00:00 events/3
   14 ?        00:00:00 khelper
   15 ?        00:00:00 kacpid
   41 ?        00:00:00 kblockd/0
   42 ?        00:00:00 kblockd/1
   43 ?        00:00:00 kblockd/2
   44 ?        00:00:00 kblockd/3
   45 ?        00:00:00 khubd
   62 ?        00:00:00 pdflush
   63 ?        00:00:00 pdflush
   64 ?        00:00:00 kswapd0
   65 ?        00:00:00 aio/0
   66 ?        00:00:00 aio/1
   67 ?        00:00:00 aio/2
   68 ?        00:00:00 aio/3
  212 ?        00:00:00 kseriod
  442 ?        00:00:00 ata/0
  443 ?        00:00:00 ata/1
  444 ?        00:00:00 ata/2
  445 ?        00:00:00 ata/3
  446 ?        00:00:00 ata_aux
  452 ?        00:00:00 scsi_eh_0
  453 ?        00:00:01 scsi_eh_1
  470 ?        00:00:00 scsi_eh_2
  471 ?        00:00:00 scsi_eh_3
  485 ?        00:00:00 kjournald
 1122 ?        00:00:00 kauditd
 1950 ?        00:00:00 udevd
 3108 ?        00:00:00 kmpathd/0
 3109 ?        00:00:00 kmpathd/1
 3110 ?        00:00:00 kmpathd/2
 3111 ?        00:00:00 kmpathd/3
 7184 ?        00:00:00 ib_mcast
 7185 ?        00:00:00 ib_inform
 7186 ?        00:00:00 local_sa
 7228 ?        00:00:00 ib_cm/0
 7229 ?        00:00:00 ib_cm/1
 7230 ?        00:00:00 ib_cm/2
 7231 ?        00:00:00 ib_cm/3
 7392 ?        00:00:00 ib_addr
 7450 ?        00:00:00 iw_cm_wq
 7501 ?        00:00:00 rdma_cm
 7828 ?        00:00:00 ipoib
 8078 ?        00:00:00 sdp
10517 ?        00:00:00 cpuspeed
10519 ?        00:00:00 cpuspeed
10520 ?        00:00:00 cpuspeed
10522 ?        00:00:00 cpuspeed
13021 ?        00:00:00 dhclient
13201 ?        00:00:00 syslogd
13323 ?        00:00:00 klogd
13399 ?        00:00:00 irqbalance
13412 ?        00:00:00 portmap
13432 ?        00:00:00 rpc.statd
13465 ?        00:00:00 rpc.idmapd
13556 ?        00:00:00 smartd
13566 ?        00:00:00 acpid
13597 ?        00:00:00 cupsd
13631 ?        00:00:00 cups-polld
13642 ?        00:00:00 sshd
13657 ?        00:00:00 xinetd
13676 ?        00:00:00 sendmail
13686 ?        00:00:00 sendmail
13697 ?        00:00:00 gpm
13736 ?        00:00:00 htt
13737 ?        00:00:00 htt_server
13749 ?        00:00:00 cannaserver
13761 ?        00:00:00 crond
13796 ?        00:00:00 xfs
13815 ?        00:00:00 atd
13835 ?        00:00:00 dbus-daemon-1
13849 ?        00:00:00 cups-config-dae
13860 ?        00:00:01 hald
13931 tty1     00:00:00 mingetty
13939 tty2     00:00:00 mingetty
13941 tty3     00:00:00 mingetty
13944 tty4     00:00:00 mingetty
13948 tty5     00:00:00 mingetty
13950 tty6     00:00:00 mingetty
13953 ?        00:00:00 gdm-binary
14645 ?        00:00:00 gdm-binary
14661 ?        00:02:21 X
14969 ?        00:00:00 gnome-session
14999 ?        00:00:00 ssh-agent
15040 ?        00:00:00 dbus-launch
15041 ?        00:00:00 dbus-daemon-1
15046 ?        00:00:00 gconfd-2
15049 ?        00:00:00 gnome-keyring-d
15051 ?        00:00:00 bonobo-activati
15053 ?        00:00:00 gnome-settings-
15059 ?        00:00:00 gam_server
15094 ?        00:00:01 metacity
15098 ?        00:00:00 gnome-panel
15100 ?        00:00:00 nautilus
15102 ?        00:00:00 gnome-volume-ma
15111 ?        00:00:00 eggcups
15113 ?        00:00:00 pam-panel-icon
15115 ?        00:00:02 rhn-applet-gui
15116 ?        00:00:00 pam_timestamp_c
15121 ?        00:00:00 gnome-vfs-daemo
15127 ?        00:00:00 mapping-daemon
15132 ?        00:00:01 wnck-applet
15134 ?        00:00:00 mixer_applet2
15136 ?        00:00:00 clock-applet
15138 ?        00:00:00 notification-ar
24449 ?        00:00:02 gnome-terminal
24450 ?        00:00:00 gnome-pty-helpe
24451 pts/1    00:00:00 bash
24615 ?        00:00:00 firefox
24629 ?        00:00:00 run-mozilla.sh
24635 ?        00:02:05 firefox-bin
24877 pts/2    00:00:00 bash
25583 ?        00:00:00 xchat
25587 ?        00:00:00 thunderbird
25613 ?        00:00:00 run-mozilla.sh
25618 ?        00:00:05 thunderbird-bin
25719 ?        00:00:00 httpd
25722 ?        00:00:00 httpd
25723 ?        00:00:00 httpd
25724 ?        00:00:00 httpd
25725 ?        00:00:00 httpd
25726 ?        00:00:00 httpd
25727 ?        00:00:00 httpd
25728 ?        00:00:00 httpd
25729 ?        00:00:00 httpd
25761 ?        00:00:00 rpc.rquotad
25765 ?        00:00:00 nfsd
25766 ?        00:00:00 nfsd
25767 ?        00:00:00 nfsd
25768 ?        00:00:00 nfsd
25769 ?        00:00:00 nfsd
25770 ?        00:00:00 nfsd
25771 ?        00:00:00 nfsd
25772 ?        00:00:00 nfsd
25773 ?        00:00:00 lockd
25774 ?        00:00:00 rpciod
25778 ?        00:00:00 rpc.mountd
25817 ?        00:00:00 rpc.rquotad
25824 ?        00:00:00 rpc.mountd
25848 pts/2    00:00:00 hts
25852 pts/2    00:00:00 make
25853 pts/2    00:00:00 python
25854 pts/2    00:00:00 ps
25855 pts/3    00:00:00 bash
25957 ?        00:00:00 rpc.rquotad
25964 ?        00:00:00 rpc.mountd
26010 pts/3    00:00:00 ps


# service nfs status
rpc.svcgssd is stopped
rpc.mountd (pid 25824 25778) is running...
nfsd (pid 25772 25771 25770 25769 25768 25767 25766 25765) is running...
rpc.rquotad (pid 25817 25761) is running...

# service httpd status
httpd (pid 25729 25728 25727 25726 25725 25724 25723 25722 25719) is running...
Comment 3 Yan Tian 2009-01-20 21:51:02 EST
Also found this bug on x86_64 in hts-5.3-14.el4.
Comment 4 YangKun 2009-06-13 03:52:29 EDT
verified this issue no longer exists in v7-1.0-3 with rhel4.8-x86_64:
------------------------------------------
[root@dhcp-65-72 ~]# v7 server start
Note: decimal module from python 2.5 copied by HTS
Note: could not detect devices via HAL, using Kudzu
Note: could not detect devices via HAL, using Kudzu
OS Version: Red Hat Enterprise Linux AS release 4 (Nahant Update 8)
Kernel RPM: kernel-smp-2.6.9-89.EL
v7 version 1.0, release 3.yk
Note: could not detect devices via HAL, using Kudzu
make server RUNMODE=start
python network.py server start
Starting lmbench services... done.
Starting NFS services:                                     [  OK  ]
Starting NFS quotas:                                       [  OK  ]
Starting NFS daemon:                                       [  OK  ]
Starting NFS mountd:                                       [  OK  ]
Created /var/v7/export
Starting httpd:                                            [  OK  ]
[root@dhcp-65-72 ~]# v7 server status
Note: decimal module from python 2.5 copied by HTS
Note: could not detect devices via HAL, using Kudzu
Note: could not detect devices via HAL, using Kudzu
OS Version: Red Hat Enterprise Linux AS release 4 (Nahant Update 8)
Kernel RPM: kernel-smp-2.6.9-89.EL
v7 version 1.0, release 3.yk
Note: could not detect devices via HAL, using Kudzu
make server RUNMODE=status
python network.py server status
lmbench bw_tcp is running
lmbench lat_udp is running
/var/v7/export is exported
rpc.mountd (pid 18816) is running...
nfsd (pid 18810 18809 18808 18807 18806 18805 18804 18803) is running...
rpc.rquotad (pid 18799) is running...
httpd (pid 18850 18849 18848 18847 18846 18845 18844 18843 18840) is running...
[root@dhcp-65-72 ~]#
------------------------------------------

I'm going to close this bug as WORKSFORME now.

Note You need to log in before you can comment on or make changes to this bug.